Skip to content

Domains

All operations require authentication.

3 operationsv1/email/mxplan
Agent setup

List domainsProduction

GET
/1.0/email/mxplan/{service}/domain

List domains. Returns the names of the domains attached to the service. Filter them by state, such as ok or suspended.

Path parameters

service
required
string

The internal name of your mxplan organization

Query parameters

state
ObjectStateEnum

Filter the value of state property (=)

Valuescreatingdeletingokreopeningsuspendedsuspendingunknown

Response

200string[]successful operation

Example uses service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/domain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a domainProduction

GET
/1.0/email/mxplan/{service}/domain/{domainName}

Get a domain. Returns the type and state of the domain, its MX and SRV records with their validation status, the expected MX records, its MX relay and its aliases.

Path parameters

domainName
required
string

Domain name

service
required
string

The internal name of your mxplan organization

Response

200Domainsuccessful operation
cnameToCheck
read-only
string

Cname that will be checked to prove the domain ownership

domainAliases
read-only
string[]

List of aliases for this domain

domainValidated
read-only
boolean

Domain validation status

expectedMX
read-only
string[]

Expected MX record(s) on this domain

isAliasDomain
read-only
boolean

Indicate if this domain is an alias for another domain

mxIsValid
read-only
boolean

If true your dns mx configuration is valid

mxRecord
read-only
string[]

Domain MX record configured in DNS

mxRelay
string

If specified, emails to not existing address will be redirected to that domain

name
read-only
string

Domain name

srvIsValid
read-only
boolean

If true your dns srv record is valid

srvRecord
read-only
string[]

Domain SRV record configured in DNS

state
read-only
ObjectStateEnum

Domain state

Valuescreatingdeletingokreopeningsuspendedsuspendingunknown
taskPendingId
read-only
integer

Pending taks id

type
DomainTypeEnum

Domain type

ValuesauthoritativenonAuthoritative

Example uses domainName = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/domain/{domainName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cnameToCheck": "string", "domainAliases": [ "string" ], "domainValidated": true, "expectedMX": [ "string" ], "isAliasDomain": true, "mxIsValid": true, "mxRecord": [ "string" ], "mxRelay": "string", "name": "string", "srvIsValid": true, "srvRecord": [ "string" ], "state": "creating", "taskPendingId": 0, "type": "authoritative"}

Update a domainProduction

PUT
/1.0/email/mxplan/{service}/domain/{domainName}

Update a domain. Updates the type of the domain, authoritative or nonAuthoritative, and its mxRelay, the domain that receives the emails sent to addresses that do not exist.

Path parameters

domainName
required
string

Domain name

service
required
string

The internal name of your mxplan organization

Request body (required)

cnameToCheck
read-only
string

Cname that will be checked to prove the domain ownership

domainAliases
read-only
string[]

List of aliases for this domain

domainValidated
read-only
boolean

Domain validation status

expectedMX
read-only
string[]

Expected MX record(s) on this domain

isAliasDomain
read-only
boolean

Indicate if this domain is an alias for another domain

mxIsValid
read-only
boolean

If true your dns mx configuration is valid

mxRecord
read-only
string[]

Domain MX record configured in DNS

mxRelay
string

If specified, emails to not existing address will be redirected to that domain

name
read-only
string

Domain name

srvIsValid
read-only
boolean

If true your dns srv record is valid

srvRecord
read-only
string[]

Domain SRV record configured in DNS

state
read-only
ObjectStateEnum

Domain state

Valuescreatingdeletingokreopeningsuspendedsuspendingunknown
taskPendingId
read-only
integer

Pending taks id

type
DomainTypeEnum

Domain type

ValuesauthoritativenonAuthoritative

Response

200—successful operation

Example uses domainName = string, service = string

$ curl https://api.eu.ovhcloud.com/1.0/email/mxplan/{service}/domain/{domainName} \
  -H "authorization: Bearer $OVH_TOKEN"